package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 化学品报警记录对象 hxp_alarm_record
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品报警记录")
public class HxpAlarmRecordVo {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报警时间",sort = 1,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "报警时间")
    private Date alarmTime;

    @Excel(name = "报警内容",sort = 4)
    @ApiModelProperty(value = "报警内容")
    private String alarmContent;

    @Excel(name = "报警方式",sort = 5)
    @ApiModelProperty(value = "报警方式")
    private String alarmMode;

    @Excel(name = "学院",sort = 2)
    @ApiModelProperty(value = "学院")
    private String alarmDeptName;

    @Excel(name = "实验室",sort = 3)
    @ApiModelProperty(value = "实验室")
    private String subName;

    @Excel(name = "负责人",sort = 6)
    @ApiModelProperty(value = "负责人")
    private String liableUserName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "处理时间",sort = 7, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "处理时间")
    private Date handlingTime;

    @Excel(name = "处理人",sort = 8)
    @ApiModelProperty(value = "处理人")
    private String handlingUserName;

    @Excel(name = "处理状态",sort = 9)
    @ApiModelProperty(value = "操作")
    private String operate;

    @ApiModelProperty(value = "实验室管理员")
    private String adminNames;

    @ApiModelProperty(value = "实验室安全人员")
    private String safeUserNames;

    @ApiModelProperty(value = "处理状态（1.待处理，2是已处理）")
    private Integer handlingStatus;

    @ApiModelProperty(value = "实验室安全负责人")
    private String safeUserId;

    @ApiModelProperty(value = "报警方式（1.系统通知，2.声光报警，3.短信通知）")
    private Integer alarmModeStatus;

    @ApiModelProperty(value = "报警时长")
    private String alarmDuration;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public String getAlarmMode() {
        return alarmMode;
    }

    public void setAlarmMode(String alarmMode) {
        this.alarmMode = alarmMode;
    }

    public String getAlarmDeptName() {
        return alarmDeptName;
    }

    public void setAlarmDeptName(String alarmDeptName) {
        this.alarmDeptName = alarmDeptName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getLiableUserName() {
        return liableUserName;
    }

    public void setLiableUserName(String liableUserName) {
        this.liableUserName = liableUserName;
    }

    public Date getHandlingTime() {
        return handlingTime;
    }

    public void setHandlingTime(Date handlingTime) {
        this.handlingTime = handlingTime;
    }

    public String getHandlingUserName() {
        return handlingUserName;
    }

    public void setHandlingUserName(String handlingUserName) {
        this.handlingUserName = handlingUserName;
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }

    public String getAdminNames() {
        return adminNames;
    }

    public void setAdminNames(String adminNames) {
        this.adminNames = adminNames;
    }

    public String getSafeUserNames() {
        return safeUserNames;
    }

    public void setSafeUserNames(String safeUserNames) {
        this.safeUserNames = safeUserNames;
    }

    public Integer getHandlingStatus() {
        return handlingStatus;
    }

    public void setHandlingStatus(Integer handlingStatus) {
        this.handlingStatus = handlingStatus;
    }

    public String getSafeUserId() {
        return safeUserId;
    }

    public void setSafeUserId(String safeUserId) {
        this.safeUserId = safeUserId;
    }

    public Integer getAlarmModeStatus() {
        return alarmModeStatus;
    }

    public void setAlarmModeStatus(Integer alarmModeStatus) {
        this.alarmModeStatus = alarmModeStatus;
    }

    public String getAlarmDuration() {
        return alarmDuration;
    }

    public void setAlarmDuration(String alarmDuration) {
        this.alarmDuration = alarmDuration;
    }
}
